# The Battle for the Solar System : The Pandoran War

2D mission-based space shooter, based on the Battle for the Solar System space opera novel trilogy.

![Alt text](dev/screenshots/v0.6-06.png?raw=true "Screenshot")

The develop branch on GitHub (https://github.com/stephenjsweeney/tbftss/tree/develop) is where all the dev work happens. Stable(ish) releases will go in to master (https://github.com/stephenjsweeney/tbftss/tree/master).

Website: www.battleforthesolarsystem.com
Email: stephenjsweeney@battleforthesolarsystem.com

## SCREENSHOTS

Screenshots from various versions can be found here: https://github.com/stephenjsweeney/tbftss/tree/master/dev/screenshots

## CREDITS

### GRAPHICS

* gfx/planets/earth.png - derived from the the Blue Marble NASA photograph: http://visibleearth.nasa.gov/view.php?id=57723
* gfx/trophies/bronze.png - dervied from Trophy icon, by Lorc (CC BY 3.0): http://game-icons.net/lorc/originals/trophy.html
* gfx/trophies/gold.png - dervied from Trophy icon, by Lorc (CC BY 3.0): http://game-icons.net/lorc/originals/trophy.html
* gfx/trophies/platinum.png - dervied from Trophy icon, by Lorc (CC BY 3.0): http://game-icons.net/lorc/originals/trophy.html
* gfx/trophies/silver.png - dervied from Trophy icon, by Lorc (CC BY 3.0): http://game-icons.net/lorc/originals/trophy.html
* gfx/trophies/unearned.png - dervied from Trophy icon, by Lorc (CC BY 3.0): http://game-icons.net/lorc/originals/trophy.html

All other graphics are CC BY-NC-SA 3.0, with the following attribution: Copyright 2015-2016, Stephen J Sweeney | www.battleforthesolarsystem.com

<img src="gfx/by-nc-sa.png?raw=true" alt="CC BY-NC-SA logo" width="125">

### DATA FILES

* data/fonts/Roboto-Medium.ttf, by Christian Robertson. Licensed under the Apache License, version 2.0
* data/fonts/Khosrau.ttf, by Fereydoun Rostam. Free for non-commercial use (http://www.dafont.com/khosrau.font)

All other data files are CC BY-NC-SA 3.0, with the following attribution: Copyright 2015-2016, Stephen J Sweeney | www.battleforthesolarsystem.com

<img src="gfx/by-nc-sa.png?raw=true" alt="CC BY-NC-SA logo" width="125">

### SOUND

* 000000_large_explosion.ogg - created by combining
  * EXPLODE.WAV, by dkmedic (CC-0) - https://freesound.org/people/dkmedic/sounds/104447/
  * Huge rocket launcher.wav, by CGEffex (CC-BY) https://freesound.org/people/CGEffex/sounds/100772/
* 18380__inferno__hvrl.ogg - hvrl, by inferno (CC-Sampling+) - https://freesound.org/people/inferno/sounds/18380/
* 18382__inferno__hvylas.ogg - hvylas, by inferno (CC-Sampling+) - https://freesound.org/people/inferno/sounds/18382/
* 42106__marcuslee__laser-wrath-4.ogg - Laser Wrath 4, by marcusless (CC-Sampling+) - https://freesound.org/people/marcuslee/sounds/42106/
* 47252__nthompson__bad-explosion.ogg - bad explosion, by nthompson (CC-0) - https://freesound.org/people/nthompson/sounds/47252/
* 49678__ejfortin__energy-short-sword-7.ogg - Energy Short Sword, by ejfortin (CC-Sampling+) - https://freesound.org/people/ejfortin/sounds/49678/
* 56246__q-k__latch-04.ogg - Latch_04, by Q.K. (CC-0) - https://freesound.org/people/Q.K./sounds/56246/
* 65787__iwilldstroyu__laserrocket.ogg - laserrocket, by iwilldstroyu (CC-0) - https://freesound.org/people/iwilldstroyu/sounds/65787/
* 77087__supraliminal__laser-short.ogg - Laser short, by Supraliminal (CC-0) - https://freesound.org/people/Supraliminal/sounds/77087/
* 88275__s-dij__gbc-reload-06.ogg - GBC_Reload_06, by S_Dij (CC-BY) - https://freesound.org/people/S_Dij/sounds/88275/
* 146725__fins__laser.ogg - laser, by fins (CC-0) - https://freesound.org/people/fins/sounds/146725/
* 162265__qubodup__explosive.ogg - Explosive, by qubodup (CC-0) - https://freesound.org/people/qubodup/sounds/162265/
* 178064__jorickhoofd__slam-door-shut.ogg - Slam door shut, by jorickhoofd (CC-BY) - https://freesound.org/people/jorickhoofd/sounds/178064/
* 207322__animationisaac__short-explosion.ogg - Short explosion, by animationIsaac (CC-0) - https://freesound.org/people/animationIsaac/sounds/207322/
* 242856__plasterbrain__nuclear-alarm.ogg - Nuclear Alarm, by plasterbrain (CC-0) - https://freesound.org/people/plasterbrain/sounds/242856/
* 249300__suntemple__access-denied.ogg - Access Denied, by suntemple (CC-0) - https://freesound.org/people/suntemple/sounds/249300/
* 254071__tb0y298__firework-explosion.ogg - Firework Explosion, by TB0Y298 (CC-BY) - https://freesound.org/people/TB0Y298/sounds/254071/
* 257786__xtrgamr__mouse-click.ogg - Mouse click, by xtrgamr (CC-BY) - https://freesound.org/people/xtrgamr/sounds/257786/
* 263621__jamesabdulrahman__permission-to-panic.ogg - Permission to panic?, by jamesabdulrahman (CC-BY) - https://freesound.org/people/jamesabdulrahman/sounds/263621/
* 268344__julien-matthey__jm-noiz-laser-01.ogg - JM_NOIZ_Laser 01.wav, by Julien Matthey (CC-0) - https://freesound.org/people/Julien%20Matthey/sounds/268344/
* 275151__bird-man__gun-shot.ogg - Gun Shot.wav, by Bird_man (CC-0) - https://freesound.org/people/Bird_man/sounds/275151/
* 321104__nsstudios__blip2.ogg - blip2, by nsstudios (CC-BY) - https://freesound.org/people/nsstudios/sounds/321104/
* 321906__bruce965__walkie-talkie-roger-beep.ogg - Walkie Talkie - Roger Beep, by bruce965 (CC-0) - https://freesound.org/people/bruce965/sounds/321906/
* 322603__clippysounds__glass-break.ogg - Glass Break, by clippysounds (CC-BY) - https://freesound.org/people/clippysounds/sounds/322603/
* 276912__pauldihor__transform.ogg - transform, by PaulDihor (CC-0) - https://freesound.org/people/PaulDihor/sounds/276912/
* 329359__bassoonrckr__reed-guillotine.ogg - Reed Guillotine.wav, by bassoonrckr (CC-0) - https://freesound.org/people/bassoonrckr/sounds/329359/
* 251431__onlytheghosts__fusion-gun-flash0-by-onlytheghosts.ogg - fusion-gun_flash0_by_OnlyTheGhosts.wav, by OnlyTheGhosts (CC-BY) - https://freesound.org/people/OnlyTheGhosts/sounds/251431/
* 172591__timbre__zapitydooda.ogg - d1clsstf.wav, by wildweasel (CC-BY) - https://freesound.org/people/wildweasel/sounds/39030/
* 39030__wildweasel__d1clsstf.ogg - push_button_switch_07.wav, by joedeshon (CC-BY) - https://freesound.org/people/joedeshon/sounds/139061/
* 278142__ricemaster__effect-notify.ogg - effect_notify.wav, by ricemaster (CC-0) - https://freesound.org/people/ricemaster/sounds/278142/
* 254174__kwahmah-02__s.ogg - s.wav, by kwahmah_02 (CC-0) - https://freesound.org/people/kwahmah_02/sounds/254174/
* 172870__escortmarius__carbidexplosion.ogg - carbidexplosion.wav, by escortmarius (CC-BY) - https://freesound.org/people/escortmarius/sounds/172870/
* 320181__dland__hint.ogg - hint.wav, by dland (CC-0) - https://freesound.org/people/dland/sounds/320181/
* 62491__benboncan__dslr-click.ogg - DSLR Click.wav, by Benboncan (CC-BY) - https://freesound.org/people/Benboncan/sounds/62491/
* 154934__klawykogut__empty-gun-shot.ogg - Empty Gun Shot, by KlawyKogut (CC-0) - https://freesound.org/people/KlawyKogut/sounds/154934/
* 107786__leviclaassen__beepbeep.ogg - beepbeep.wav, by leviclaassen (CC-BY) - https://freesound.org/people/leviclaassen/sounds/107786/
* 33785__jobro__4-beep-b.ogg - 4 beep b.wav, by jobro (CC-BY) - https://freesound.org/people/jobro/sounds/33785/
* 255729__manholo__inception-stab-l.ogg - inception-stab-l.wav, by manholo (CC-BY) - https://freesound.org/people/manholo/sounds/255729/
* 000000_tow-rope-attach.ogg - creating by combining:
	01857 close noise fastener.wav, by Robinhood76 (CC-BY-NC) - https://freesound.org/people/Robinhood76/sounds/98880/
	Clean Revolver Reload, by Dredile (CC-0) - https://freesound.org/people/Dredile/sounds/177863/
* 246420__oceanictrancer__game-sound-effect-menu.ogg - game sound effect -> menu, by oceanictrancer (CC-0) - https://freesound.org/people/oceanictrancer/sounds/246420/
* 146311__jgeralyn__shortailenliketone2-lower.ogg - shortailenliketone2_lower.aif, by jgeralyn (CC-BY) - https://freesound.org/people/jgeralyn/sounds/146311/


### MUSIC

* Battle in the winter.mp3, by Johan Brodd (CC-BY) - http://opengameart.org/content/battle-in-the-winter
* battleThemeA.mp3, by cynicmusic.com | pixelsphere.org (CC-0) - http://opengameart.org/content/battle-theme-a
* determination.mp3, by artisticdude (CC-0) - http://opengameart.org/content/determination
* heroism.ogg, by Edward J. Blakeley (GPL 3.0) - http://opengameart.org/content/heroism
* InnerCore_Low.ogg - Gundatsch (CC-BY) - https://soundcloud.com/gundatsch
* Pressure.ogg, by yd (CC-0) - http://opengameart.org/content/pressure
* Rise of spirit.ogg, by Alexandr Zhelanov (CC-0) - https://soundcloud.com/alexandr-zhelanov
* Showdown.mp3, by el-corleo (CC-BY) - http://opengameart.org/content/showdown
* track-3.mp3, by Alexandr Zhelanov (CC-BY) - https://soundcloud.com/alexandr-zhelanov
* track-4.mp3, by Alexandr Zhelanov (CC-BY) - https://soundcloud.com/alexandr-zhelanov
* DST-RailJet-LongSeamlessLoop.ogg, by Deceased Superior Technician (CC-BY) - http://opengameart.org/content/railjet-long-seamless-loop
* covert_operations.mp3, by artisticdude (CC-0) - http://opengameart.org/content/covert-operations
* Tactical Pursuit.mp3, by Matthew Pablo (CC-BY) - http://opengameart.org/content/tactical-pursuit
* Vehicle - OGA - Col Legno.ogg, by Vehicle (CC-0) - http://opengameart.org/content/col-legno
* Her Violet Eyes.mp3, by tgfcoder (CC-BY) https://twitter.com/tgfcoder

## ABOUT

This is a work of fiction. Names, characters, businesses, places, events and incidents are either the products of the author's imagination or used in a fictitious manner. Any resemblance to actual persons, living or dead, or actual events is purely coincidental. The Battle for the Solar System : The Pandoran War is &copy; 2015-2016, Stephen J Sweeney, Some Rights Reserved. The Battle for the Solar System and all related materials (including, but not limited to, characters, setting, and story elements) are &copy; 2009-2016, Stephen J Sweeney, All Rights Reserved.
